unit fmKNGBevelDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, KNGControls, Buttons, Spin;

type
  TKNGBevelDlg = class(TForm)
    lblInnerBevel: TLabel;
    cbInnerBevel: TComboBox;
    lblOuterBevel: TLabel;
    cbOuterBevel: TComboBox;
    grpBorders: TGroupBox;
    cbLeft: TCheckBox;
    cbTop: TCheckBox;
    cbRight: TCheckBox;
    cbBottom: TCheckBox;
    Bevel1: TBevel;
    pnlCloseButtons: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    cbBorderStyle: TComboBox;
    Label1: TLabel;
    speBevelWidth: TSpinEdit;
    speBorderWidth: TSpinEdit;
    Label2: TLabel;
    Label3: TLabel;
    pnlTest: TKNGPanel;
    procedure cbLeftClick(Sender: TObject);
    procedure cbRightClick(Sender: TObject);
    procedure cbTopClick(Sender: TObject);
    procedure cbBottomClick(Sender: TObject);
    procedure cbInnerBevelChange(Sender: TObject);
    procedure cbOuterBevelChange(Sender: TObject);
    procedure cbBorderStyleChange(Sender: TObject);
    procedure speBevelWidthChange(Sender: TObject);
    procedure speBorderWidthChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  KNGBevelDlg: TKNGBevelDlg;

implementation

{$R *.DFM}

procedure TKNGBevelDlg.cbLeftClick(Sender: TObject);
begin
  if cbLeft.Checked then
    pnlTest.Bevel.BevelBorders := pnlTest.Bevel.BevelBorders + [bsLeft]
  else
    pnlTest.Bevel.BevelBorders := pnlTest.Bevel.BevelBorders - [bsLeft];
end;

procedure TKNGBevelDlg.cbRightClick(Sender: TObject);
begin
  if cbRight.Checked then
    pnlTest.Bevel.BevelBorders := pnlTest.Bevel.BevelBorders + [bsRight]
  else
    pnlTest.Bevel.BevelBorders := pnlTest.Bevel.BevelBorders - [bsRight];
end;

procedure TKNGBevelDlg.cbTopClick(Sender: TObject);
begin
  if cbTop.Checked then
    pnlTest.Bevel.BevelBorders := pnlTest.Bevel.BevelBorders + [bsTop]
  else
    pnlTest.Bevel.BevelBorders := pnlTest.Bevel.BevelBorders - [bsTop];
end;

procedure TKNGBevelDlg.cbBottomClick(Sender: TObject);
begin
  if cbBottom.Checked then
    pnlTest.Bevel.BevelBorders := pnlTest.Bevel.BevelBorders + [bsBottom]
  else
    pnlTest.Bevel.BevelBorders := pnlTest.Bevel.BevelBorders - [bsBottom];
end;

procedure TKNGBevelDlg.cbInnerBevelChange(Sender: TObject);
begin
  pnlTest.Bevel.BevelInner := TKNGBevelStyle(cbInnerBevel.ItemIndex);
end;

procedure TKNGBevelDlg.cbOuterBevelChange(Sender: TObject);
begin
  pnlTest.Bevel.BevelOuter := TKNGBevelStyle(cbOuterBevel.ItemIndex);
end;

procedure TKNGBevelDlg.cbBorderStyleChange(Sender: TObject);
begin
  pnlTest.Bevel.BorderStyle := TKNGBorderStyle(cbBorderStyle.ItemIndex);
end;

procedure TKNGBevelDlg.speBevelWidthChange(Sender: TObject);
begin
  pnlTest.Bevel.BevelWidth := speBevelWidth.Value;
end;

procedure TKNGBevelDlg.speBorderWidthChange(Sender: TObject);
begin
  if speBorderWidth.Value < 0 then
  begin
    speBorderWidth.Value := 0;
    Abort;
  end;
  pnlTest.Bevel.BorderWidth := speBorderWidth.Value;
end;

end.
